> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List external transfers

> OAuth scope: `organization.read`.

<Warning>
  This endpoint will be sunsetted on March 31, 2026.
  For SEPA transfers, please use the [List a SEPA Transfer](/api-reference/business-api/payments-transfers/sepa-transfers/sepa-transfers) endpoint instead.
</Warning>

Retrieves the list of external transfers for the authenticated organization.




## OpenAPI

````yaml get /v2/external_transfers
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/external_transfers:
    get:
      tags:
        - External Transfers (deprecated)
      summary: List external transfers
      description: >
        OAuth scope: `organization.read`.


        <Warning>
          This endpoint will be sunsetted on March 31, 2026.
          For SEPA transfers, please use the [List a SEPA Transfer](/api-reference/business-api/payments-transfers/sepa-transfers/sepa-transfers) endpoint instead.
        </Warning>


        Retrieves the list of external transfers for the authenticated
        organization.
      operationId: list_external_transfers
      responses:
        '200':
          description: >-
            Returns the list of external transfers for the authenticated
            organization.
          content:
            application/json:
              schema:
                type: object
                properties:
                  external_transfers:
                    type: array
                    items:
                      $ref: '#/components/schemas/ExternalTransfer'
                required:
                  - external_transfers
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      deprecated: true
      security:
        - OAuth:
            - organization.read
        - SecretKey: []
components:
  schemas:
    ExternalTransfer:
      type: object
      properties:
        id:
          type: string
          description: this is a description
          format: uuid
        slug:
          type: string
        debit_iban:
          type: string
          description: >-
            Can be any of the organization's bank accounts. IBAN formatted ISO
            13616.
        debit_amount:
          type: string
          description: The amount that will be debited from your Qonto account.
          example: '12.55'
        debit_amount_cents:
          type: string
          description: >-
            The amount that will be debited from you Qonto account in an integer
            format.
          example: '1255'
        debit_currency:
          type: string
          description: Must be EUR. ISO 4217 formatted.
          example: EUR
        beneficiary_id:
          type: string
          format: uuid
        initiator_id:
          type: string
          description: >-
            ID of the membership that initiated the external transfer.

            <br>When the external transfer is initiated through the API, the
            initiator is the authenticated membership.
          format: uuid
        credit_amount:
          type: string
          description: The amount that the beneficiary will receive.
        credit_amount_cents:
          type: string
          description: The amount that the beneficiary will receive in an integer format.
        credit_currency:
          type: string
          description: >-
            Equals debit currency if issued in the SEPA network (only supported
            currencies). ISO 4217 format. Allowed value for international
            transfers: AUD, CAD, CHF, CNY, CZK, DKK, GBP, HKD, HRK, HUF, ILS,
            JPY, NOK, NZD, PLN, RON, SEK, USD.
        rate_applied:
          type: string
          description: >-
            Foreign exchange rate applied to your transaction, formatted with 4
            digits after comma. Ex: 1,1082
        payment_purpose:
          type: string
          description: Compulsory for all swift networks
          example: goods
        reference:
          type: string
        note:
          type: string
          description: 140 characters max
        declined_reason:
          type: string
          description: >-
            Populated only when transfer **status** is declined. Possible
            values:

            `beneficiary_bic_invalid` `beneficiary_iban_invalid`
            `beneficiary_status` `beneficiary_network_rules_error`
            `organisation_compliance_reasons` `debit_account_insufficient_funds`
            `qonto_processing_failed`
          example: beneficiary_bic_invalid
        status:
          type: string
          description: >-
            Can contain the following values:

            * `pending`: External transfer is created and has not been processed
            yet. If transfer is not processed within next minute, it means
            either execution date may not been reached yet or we are running
            some compliance checks on this transfer.

            * `processing`: External transfer processing means account balance
            is debited and a transaction has been created. Processing status can
            last up to multiple hours until transfer is sent in the network to
            the beneficiary.

            * `canceled`: When the external transfer is canceled by a user in
            the interface. This is a permanent status.

            * `declined`: When the external transfer is declined by the
            screening service, fraud service or, once sent on the network, for
            many various reasons which are listed in [those
            guidelines](https://www.europeanpaymentscouncil.eu/sites/default/files/kb/file/2023-11/EPC135-18%20v5.0%20Guidance%20on%20Reason%20Codes%20for%20SCT%20R-transactions.pdf).
            This is a permanent status.

            * `settled`: When the external transfer is sent to the network,
            transfer is settled. This is a permanent status.
          example: pending
        scheduled_date:
          type: string
          description: >-
            YYYY-MM-DD, indicates when the external transfer was scheduled to be
            sent by Qonto.
          example: '2021-07-12'
        created_at:
          type: string
          description: UTC, the time at which the external transfer was first recorded
          example: '2021-01-27T22:05:07.000Z'
        completed_at:
          type: string
          description: >-
            UTC, when the external transfer is in its final state, either
            settled or declined.
          example: '2021-01-27T22:05:07.000Z'
        processed_at:
          type: string
          description: >-
            UTC, when the external transfer has been started to be processed by
            Qonto.
          example: '2021-01-27T22:05:07.000Z'
        transaction_id:
          type: string
          format: uuid
      required:
        - id
        - slug
        - debit_iban
        - debit_amount
        - debit_amount_cents
        - debit_currency
        - beneficiary_id
        - initiator_id
        - credit_amount
        - credit_amount_cents
        - credit_currency
        - reference
        - status
        - scheduled_date
        - created_at
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````